﻿using System.Linq;
using System.Net;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Threading.Tasks;
using System.Web.Http;

namespace PollyOnRetry.Controllers
{
    public class NumbersController : ApiController
    {
        public async Task<IHttpActionResult> Get()
        {
            CookieHeaderValue cookie = Request.Headers.GetCookies().First();
            await Task.Delay(199); // Simulate some heavy processing

            if (cookie["Auth"].Value == "GoodAuthCode")
            {
                int[] numbers = new[] { 1, 2, 3, 4, 5 };
                return Ok(numbers);
            }
            return Content(HttpStatusCode.Unauthorized, "Bad auth code");
        }
    }
}
